=== debian/changelog ===
nuspell (3.0.0-2) unstable; urgency=medium

  * source upload
  * rebuild against new boost version (Closes: #970600)
    (for the impatient Axel)
  * debian/control: fix spelling in long description (Closes: #970441)
    Thanks to Jonas for finding this.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Sep 2020 18:53:25 +0200

nuspell (3.0.0-1) unstable; urgency=medium

  [ Pander ]
  * Initial packaging (Closes: #925921)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Mar 2020 18:53:25 +0100
