=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nuspell-$1.tar.gz%" \
    https://github.com/nuspell/nuspell/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
