=== debian/changelog ===
nuspell (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * update debian/copyright
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Dec 2020 19:03:41 +0000
