=== debian/changelog ===
nuspell (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Dec 2020 23:32:51 +0000
