=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper
-	, debhelper-compat (= 12)
+	, debhelper-compat (= 13)
 	, cmake
 	, ronn
 	, libboost-locale-dev
 	, libicu-dev
+	, pandoc
 Standards-Version: 4.5.0
 Section: text
 Homepage: http://nuspell.github.io/
@@ -17,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libnuspell3 (= ${binary:Version})
+	, libnuspell4 (= ${binary:Version})
 	, libicu-dev
 	, libboost-dev
 Multi-Arch: same
@@ -38,7 +39,7 @@
  .
  This package contains the development files.
 
-Package: libnuspell3
+Package: libnuspell4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
