=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# test directory is not yet part of the release tarball and shall be
# downloaded by git, this is not possible on buildds, so deactivate
# tests
CMAKE_FLAGS = \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=OFF

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)
