## nuspell 5.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(nuspell VERSION 4.2.0)
+project(nuspell VERSION 5.0.0)
 set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")
 
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
@@ -7,7 +7,7 @@
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-find_package(ICU REQUIRED COMPONENTS uc data)
+find_package(ICU 59 REQUIRED COMPONENTS uc data)
 
 get_directory_property(subproject PARENT_DIRECTORY)
