=== src/nuspell/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 add_library(nuspell
 aff_data.cxx     aff_data.hxx
+checker.cxx      checker.hxx
+suggester.cxx    suggester.hxx
 dictionary.cxx   dictionary.hxx
 finder.cxx       finder.hxx
+                 unicode.hxx
 utils.cxx        utils.hxx
                  structures.hxx)
 
@@ -10,7 +13,8 @@
 include(GenerateExportHeader)
 generate_export_header(nuspell)
 
-set(nuspell_headers aff_data.hxx dictionary.hxx finder.hxx structures.hxx
+set(nuspell_headers aff_data.hxx checker.hxx suggester.hxx dictionary.hxx
+    finder.hxx structures.hxx unicode.hxx
     ${CMAKE_CURRENT_BINARY_DIR}/nuspell_export.h)
 set_target_properties(nuspell PROPERTIES
     PUBLIC_HEADER "${nuspell_headers}"
