=== debian/changelog ===
nuspell (5.0.0-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:41:39 +0100

nuspell (5.0.0-2) unstable; urgency=medium

  * upload to unstable
  * as catch2 is now available, enable testing again (Closes: #992497)
    thanks a lot to Dimitrij Mijoski for the suggestion and the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Aug 2021 23:31:47 +0200

nuspell (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: dependencies ronn and libboost* are no longer
                    needed (Closes: #990383)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Aug 2021 12:00:22 +0200
