=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Build-Depends: debhelper
 	, debhelper-compat (= 13)
 	, cmake
-	, ronn
-	, libboost-locale-dev
 	, libicu-dev
 	, pandoc
-Standards-Version: 4.5.0
+	, catch2
+Standards-Version: 4.5.1
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
@@ -18,9 +17,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libnuspell4 (= ${binary:Version})
+	, libnuspell5 (= ${binary:Version})
 	, libicu-dev
-	, libboost-dev
 Multi-Arch: same
 Description: spell checker (development)
  Nuspell is a free and open source spell checker that is written in modern C++.
@@ -39,7 +37,7 @@
  .
  This package contains the development files.
 
-Package: libnuspell4
+Package: libnuspell5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
