## nuspell 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.8)
-project(nuspell VERSION 5.0.0)
+project(nuspell VERSION 5.1.0)
 set(PROJECT_HOMEPAGE_URL "https://nuspell.github.io/")
 
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
@@ -7,19 +7,18 @@
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-find_package(ICU 59 REQUIRED COMPONENTS uc data)
+find_package(ICU 60 REQUIRED COMPONENTS uc data)
 
 get_directory_property(subproject PARENT_DIRECTORY)
 
 add_subdirectory(src/nuspell)
+add_subdirectory(src/tools)
 
 if (subproject)
     # if added as subproject just build Nuspell
     # no need to test, build docs or install
     return()
 endif()
-
-add_subdirectory(docs)
 
 function(find_catch2_from_source)
     set(Catch2_FOUND Catch2-NOTFOUND PARENT_SCOPE)
