=== debian/changelog ===
nuspell (5.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1006900)
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: there are no man pages available anymore
                    dependency on pandoc no longer needed

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Mar 2022 22:51:09 +0100
