=== debian/changelog ===
nuspell (5.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1020967)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Sep 2022 22:36:33 +0200
