=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 	, debhelper-compat (= 13)
 	, cmake
 	, libicu-dev
-	, pandoc
 	, catch2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
