=== debian/changelog ===
nuspell (5.1.4-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:07:32 +0100

nuspell (5.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: add "Rules-Requires-Root: no"

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Nov 2023 23:36:25 +0100
