=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 	, cmake
 	, libicu-dev
 	, catch2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
 Vcs-Git: https://salsa.debian.org/alteholz/nuspell.git
+Rules-Requires-Root: no
 
 Package: libnuspell-dev
 Section: libdevel
