## nuspell 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(nuspell
-	VERSION 5.1.4
+	VERSION 5.1.6
 	DESCRIPTION "Nuspell spellchecking library"
 	HOMEPAGE_URL https://nuspell.github.io/
 	LANGUAGES CXX)
@@ -8,6 +8,7 @@
 option(BUILD_SHARED_LIBS "Build as shared library" ON)
 option(BUILD_TESTING "Build the testing tree." ON)
 option(BUILD_TOOLS "Build the CLI tool." ON)
+option(BUILD_DOCS "Build the docs." ON)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -32,6 +33,9 @@
 	# if added as subproject just build Nuspell
 	# no need to test, build docs or install
 	return()
+endif()
+if (BUILD_DOCS)
+	add_subdirectory(docs)
 endif()
 
 macro(fetch_catch2)
