=== debian/changelog ===
nuspell (5.1.6-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:27:51 +0100

nuspell (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Sep 2024 13:54:17 +0200
