=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	, cmake
 	, libicu-dev
 	, catch2
-Standards-Version: 4.6.2
+	, pandoc
+Standards-Version: 4.7.0
 Section: text
 Homepage: http://nuspell.github.io/
 Vcs-Browser: https://salsa.debian.org/alteholz/nuspell
