=== debian/changelog ===
nuspell (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 13:07:46 +0100
