=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_configure:
+	dh_auto_configure --buildsystem=cmake -- -DBUILD_API_DOCS=OFF
